Returns all control plane IP addresses.
Flag that indicates whether Application wraps the response in an envelope JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.
Default value is false.
atlas api root listControlPlaneAddresses --help
import (
"os"
"context"
"log"
sdk "go.mongodb.org/atlas-sdk/v20250312001/admin"
)
func main() {
ctx := context.Background()
clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")
// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))
if err != nil {
log.Fatalf("Error: %v", err)
}
params = &sdk.ListControlPlaneIpAddressesApiParams{}
sdkResp, httpResp, err := client.RootApi.
ListControlPlaneIpAddressesWithParams(ctx, params).
Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/unauth/controlPlaneIPAddresses?pretty=true"
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
--digest --include \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/unauth/controlPlaneIPAddresses?pretty=true"
# Headers
# Payload
{
"inbound": {
"aws": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
},
"azure": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
},
"gcp": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
}
},
"outbound": {
"aws": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
},
"azure": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
},
"gcp": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
}
}
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 429,
"errorCode": "RATE_LIMITED",
"reason": "Too Many Requests"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}